﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Test.CodeFirstTest.MSSQL.Migrations
{
    /// <inheritdoc />
    public partial class CommentModify : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterTable(
                name: "TestComment",
                comment: "这是类备注的修改",
                oldComment: "这是类备注");

            migrationBuilder.AlterColumn<string>(
                name: "Name",
                table: "TestComment",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                comment: "这是字段备注Name的修改",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldComment: "这是字段备注Name");

            migrationBuilder.AlterColumn<string>(
                name: "Code",
                table: "TestComment",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldComment: "这是字段备注Code");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterTable(
                name: "TestComment",
                comment: "这是类备注",
                oldComment: "这是类备注的修改");

            migrationBuilder.AlterColumn<string>(
                name: "Name",
                table: "TestComment",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                comment: "这是字段备注Name",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200,
                oldComment: "这是字段备注Name的修改");

            migrationBuilder.AlterColumn<string>(
                name: "Code",
                table: "TestComment",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: false,
                comment: "这是字段备注Code",
                oldClrType: typeof(string),
                oldType: "nvarchar(200)",
                oldMaxLength: 200);
        }
    }
}
